Subject: Re: bug#79047: Add some multi-character pairs to some major modes.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Jul 2025 21:04:53 +0300

> Date: Fri, 25 Jul 2025 16:11:03 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> On Fri, Jul 25, 2025 at 17:41:54 +0300, Eli Zaretskii wrote:
> > > Date: Fri, 25 Jul 2025 13:39:07 +0000
> > > Cc: [email-masked], [email-masked], [email-masked],
> > >   [email-masked], [email-masked]
> > > From: Alan Mackenzie <[email-masked]>
> 
> [ .... ]
> 
> > The issue at hand is the question asked in
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79047#5
> 
> OK.  I've already voiced some doubts about this proposed change.

We are asking for your opinion, not for doubts.  If you object for
such a change in CC Mode, then we will not make such changes there.

> Does Emacs really need Yet One More Way of entering a comment?

I don't know.  Asking you and other mode maintainers was meant to
provide feedback to make the decision.

> > I'd like to hear your opinion about that suggestion wrt CC Mode.  If
> > you are against that, please just say so, and then we will not make
> > the suggested changes in CC Mode.  If you don't mind, or want to see
> > the proposed patch, or have some other response to that question,
> > specifically, please voice your opinions, and let's move on.
> 
> I'm not really against the bug's proposal being in CC Mode.  Just it
> will cause an extension of all the nastiness in CC Mode we were
> discussing earlier on today.  I can live with that.
> 
> So if the feature as a whole gets implemented, I would certainly
> introduce it into CC Mode, too.

Thanks.